Trisquel Mini upgrade issues

Project:Trisquel
Version:8.0
Component:Packages
Category:bug report
Priority:normal
Assigned:Unassigned
Status:active
Description

Updating a T7 trisquel mini system works, however:

1. You can't log out because the lxde-logout package is not automatically installed as it should be
2. The trisquel-mini-data package doesn't exist yet for flidas
3. mplayer2 and its dependencies are not upgraded. (There's a transitional package upstream in xenial-updates, we should investigate why that isn't pulled into flidas-updates)

Sat, 04/07/2018 - 09:58

With the RC ISO, the most serious problems have been fixed. A trisquel-mini-data package for flidas actually exists now, so we're not continuing to use the belenos version after upgrading. That's good. (It also means you can install Trisquel Mini from a fresh flidas install too.) lxde-logout and the flidas version of mplayer2 are also installed as they should be.

However, there's still a minor issue: the obsolete packages libcogl15 and libcogl15-pango are not removed as they should be. If one removes them manually, then the libcogl20 and related packages get installed. Also, and this may not be specific to Trisquel Mini, the flidas version of trisquel-base-data is older than the version in belenos (!).

Sat, 04/07/2018 - 10:38

Also the background image is not upgraded from the belenos default to the flidas default.